Bug 1412259 (CVE-2017-5333) - CVE-2017-5333 icoutils: Integer overflow vulnerability in extract.c
Summary: CVE-2017-5333 icoutils: Integer overflow vulnerability in extract.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5333
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1412265 1412266 1430610 1430611
Blocks: 1411254
TreeView+ depends on / blocked
 
Reported: 2017-01-11 16:02 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
3 users (show)

Fixed In Version: icoutils 0.31.1
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in icoutils, in the wrestool program. An attacker could create a crafted executable that, when read by wrestool, could result in memory corruption leading to a crash or potential code execution.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0837 normal SHIPPED_LIVE Important: icoutils security update 2017-03-23 05:04:55 UTC

Description Andrej Nemec 2017-01-11 16:02:16 UTC
An integer overflow vulnerability was found in extract.c while transferring resources into file memory. A maliciously crafted file could make the application crash or possibly allow code execution.

References:

http://seclists.org/oss-sec/2017/q1/56

Upstream patch:

http://git.savannah.gnu.org/cgit/icoutils.git/commit/?id=1a108713ac26215c7568353f6e02e727e6d4b24a

Comment 1 Andrej Nemec 2017-01-11 16:10:57 UTC
Created icoutils tracking bugs for this issue:

Affects: fedora-all [bug 1412265]
Affects: epel-6 [bug 1412266]

Comment 5 errata-xmlrpc 2017-03-23 01:14:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0837 https://rhn.redhat.com/errata/RHSA-2017-0837.html


Note You need to log in before you can comment on or make changes to this bug.